Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.util
Class SocketRequestHandleImpl<Identifier>

    java.lang.Object
      org.mpisws.p2p.transport.util.SocketRequestHandleImpl<Identifier>

All Implemented Interfaces:
  SocketRequestHandle<Identifier>, Cancellable

    public class SocketRequestHandleImpl<Identifier>

extends java.lang.Object
implements SocketRequestHandle<Identifier>

Constructor Summary
`SocketRequestHandleImpl(Identifier i, java.util.Map<java.lang.String,java.lang.Object> options, Logger logger)`

Method Summary
`boolean` | `cancel()`
`Identifier` | `getIdentifier()`
`java.util.Map<java.lang.String,java.lang.Object>` | `getOptions()`
`Cancellable` | `getSubCancellable()`
`void` | `setSubCancellable(Cancellable sub)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocketRequestHandleImpl

    public SocketRequestHandleImpl(Identifier i,
                                   java.util.Map<java.lang.String,java.lang.Object> options,
                                   Logger logger)

Method Detail

### getIdentifier

    public Identifier getIdentifier()

  Specified by:
    `getIdentifier` in interface `SocketRequestHandle<Identifier>`

### getOptions

    public java.util.Map<java.lang.String,java.lang.Object> getOptions()

  Specified by:
    `getOptions` in interface `SocketRequestHandle<Identifier>`

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

### setSubCancellable

    public void setSubCancellable(Cancellable sub)

### getSubCancellable

    public Cancellable getSubCancellable()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.